package com.chinaweal.aiccs.aiccs.claim.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chinaweal.aiccs.aiccs.claim.entity.TSSupEntAddr;

import java.util.List;

/**
 * <p>
 * 监管主体住址/经营场所 Mapper 接口
 * </p>
 *
 * @author <a href="https://blog.lroyia.top">lroyia</a>
 * @since 2021-01-21
 */
public interface TSSupEntAddrMapper extends BaseMapper<TSSupEntAddr> {

    TSSupEntAddr findTSSupEntAddrModel(String pripid);

    List<TSSupEntAddr> findTSSupEntAddrList(TSSupEntAddr tsSupEntAddrModel);

    List<TSSupEntAddr> findTSSupEntAddrListByPripid(String pripid);

}
